AOZ Studio Beta - Bug #830

Scrolling is backwards in debugger windows
09/19/2021 03:22 PM - Paul Kitching

Status: Resolved Start date: 09/19/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

Wheeling down scrolls up, and up goes down.

History

#1 - 09/21/2021 01:09 AM - Brian Flanagan

- Status changed from New to Feedback

It works fine in the source code window.
Are you talking about scrolling elsewhere?

#2 - 09/21/2021 07:55 PM - Paul Kitching

Yes, the debugger windows.
In the main program window it's normal, but in the debug windows (variables, source code, etc) it's backwards.

#3 - 09/21/2021 11:03 PM - Brian Flanagan

Hmmm... That's weird. It's working fine in the debugger source code window here.
| wonder if it's possible there was a bug in just the Windows version.

What kind of computer and web browser are you using?
Here I'm using macOS Mojave (10.14.6), Google Chrome Version 93.0.4577.82 (Official Build) (x86_64), and AOZ Studio 1.0.0 (B10) u16 (9/19 beta).

#4 - 09/22/2021 07:17 AM - Paul Kitching
Windows 7.

It's in the AOZ viewer, not a browser.
| think Macs default to backwards for all scrolling, so that's why you didn't notice on yours.

#5 - 09/28/2021 03:10 PM - Francois Lionet

- Status changed from Feedback to Resolved

Corrected two versions ago.
